Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Allows the client to transfer an account created using the Agent API to another application, such as Neuro-Access. If the account has an associated current Legal ID, the ID will also be transferred to the new application. To transfer an account, without Legal ID, the Key ID, and Key Signatures can be omitted. If transferring an account with any associated Legal ID, and its corresponding private key, the Key ID and Key Signatures must be provided.

HTTP request

POST /Agent/Account/Transfer

Authentication

Requires a valid JWT bearer token.

Request (JSON)

{
	"keyId": Optional(Str(PKeyId)),
	"nonce": Required(Str(PNonce)),
	"keySignature": Optional(Str(PKeySignature)),
	"requestSignature": Required(Str(PRequestSignature)),
	"pin": Optional(Str(PPin))
}

Input parameters

ParameterDescription
PKeyIdIdentity of key to use for signing the Identity application.
PNonceA unique random string, at least 32 characters long, with sufficient entropy to not be reused again. If reused, an error will be returned.
PKeySignatureCryptographic signature of the key ID, using the key password.
PRequestSignatureCryptographic signature of the request, using the account password.
PPinA PIN code to protect the transferred identity in the receiving application.

Response (JSON)

{
	"onboardingUri":Required(Str(POnboardingUri)),
	"qrCodeUrl":Required(Str(PQrCodeUrl)),
	"qrCodeWidth":Required(Integer(PQrCodeWidth>0)),
	"qrCodeHeight":Required(Integer(PQrCodeHeight>0))
}

Response parameters

ParameterDescription
POnboardingUriA URI that should be transferred to the application to which the account and ID is to be transferred.
PQrCodeUrlA URL to a QR code image that can be scanned by the receiving application, containing the Onboarding URI.
PQrCodeWidthWidth of the QR code image, in pixels.
PQrCodeHeightHeight of the QR code image, in pixels.

Notes

This endpoint uses the request schema notation described in Pattern matching.